[tox]
envlist =
    py27,
    py34,
    py35,
    py36,
    py37,
    py38,
    py39,
    py310,
    pep8,

[testenv]
deps =
    pytest
commands = pytest {posargs}

[testenv:pep8]
deps =
    black
    flake8
    mypy
commands =
    black uritemplate tests setup.py
    flake8 {posargs} uritemplate tests setup.py
    mypy uritemplate

[testenv:release]
deps =
    wheel
    twine>=1.8.0
commands =
    python setup.py -q sdist bdist_wheel
    twine upload --skip-existing dist/*

[testenv:pre-commit]
skip_install = true
deps = pre-commit
commands =
    pre-commit run --all-files --show-diff-on-failure

[testenv:docs]
deps = -rdocs/source/requirements.txt
commands =
    doc8 docs/source
    sphinx-build -E -W -c docs/source -b html docs/source docs/build/html

[testenv:serve-docs]
skip_install = true
changedir = docs/build/html
deps =
commands =
    python -m http.server {posargs}

[flake8]
exclude = docs/
